<style type="text/css" scoped="">

</style>
<template>
  <div>
    <!-- <base_dialog @close="close">
      <div class="base_form_ct">
        <div class="base_form_bg"></div>

        <div class="concat_form_ct">
          <div class="action_form_title">修改商品</div>
          <concat_form v-model="form_val" :list="list"></concat_form>
          <br/>
          <a class="action_btn" @click="submit">添加</a>
        </div>

      </div>
    </base_dialog> -->
    <concat_dialog_form 
    :err_msg="form_config.err_msg"
    :bg_class="bg_class"
    :list="list" 
    :title="编辑" 
    @close="close" 
    @submit="submit">
      <div class="add_title" slot="title">
        {{ form_config.btn_text }}
      </div>
      <div slot="submit">
        <load_area :on_load="form_config.on_load" :btn_text="form_config.btn_text" :circle_class="form_config.circle_class"></load_area>
      </div>
    </concat_dialog_form>
  </div>
</template>
<script>
import base_dialog from '@/components/base_dialog.vue'
import concat_form from '@/components/concat_form.vue'
import concat_dialog_form from '@/modules/admins/concat_dialog_form.vue'
import load_area from '@/components/load_area.vue'
import {
  reset_password
} from '@/service'
import {
  get_token
} from '@/modules/stores'
export default {
  data () {
    return {
      form_val: {},
      bg_class: 'change_product_form_bg',
      form_config: {
        on_load: false,
        btn_text: '重置密码',
        circle_class: 'while_load_circle',
        err_msg: ''
      },
      list: [
        // 
        {
          type: 'text',
          text: 'businessId',
          name: 'businessId',
          placeholder: '输入businessId',
          hide: true,
          value: '',
        },
        {
          type: 'text',
          text: 'time',
          name: 'time',
          placeholder: '输入time',
          hide: true,
          value: '',
        },
        {
          type: 'text',
          name: 'userName',
          placeholder: '输入userName',
          hide: true,
          value: '',
        },
        {
          type: 'text',
          text: 'status',
          name: 'status',
          placeholder: '输入status',
          hide: true,
          value: '',
        },
        // 
        {
          type: 'text',
          text: '商家',
          name: 'businessName',
          placeholder: '输入商家',
          disabled: 'disabled',
          value: ''
        },
        // {
        //   type: 'text',
        //   text: '旧用户名',
        //   name: 'oldUserName',
        //   placeholder: '输入旧用户名',
        //   disabled: 'disabled',
        //   value: ''
        // },
        {
          type: 'password',
          text: '新密码',
          name: 'pswd',
          placeholder: '输入新密码',
          value: ''
        },
      ]
    }
  },
  props: {
    value: {
      type: Object,
      default () {
        return {}
      }
    }
  },

  watch: {
    'value' () {
      this.init_val();
    }
  },

  mounted () {
    this.init_val();
  },

  methods: {
    init_val () {
      this.list.forEach(row => {
        row.value = this.value[row.name];
      });
    },
    close () {
      this.$emit('close');
    },
    async submit (form_val) {
      this.form_config.err_msg = '';
      this.form_config.on_load = true;

      form_val.token = get_token();
      let data = await reset_password(form_val);
      console.log( form_val );

      if(data.errCode != 200){
        this.form_config.err_msg = data.errMsg;
        this.form_config.on_load = false;
        return ;
      }
      form_val.userName = form_val.newUserName;
      this.form_config.on_load = false;
      this.$emit('success', form_val);
    }
  },
  components: {
    base_dialog,
    concat_form,
    load_area,
    concat_dialog_form
  }
}
</script>